import { Component } from '@angular/core';
import {TarefaService} from './tarefa.service';
import { Tarefa } from './tarefa';
@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  providers: [TarefaService]
})
export class AppComponent {
 
  newTarefa: Tarefa = new Tarefa();
  constructor(private tarefaService: TarefaService) {
  }
  addTarefa() {
    this.tarefaService.addTarefa(this.newTarefa);
    this.newTarefa = new Tarefa();
  }
  alternarTarefaComplete(tarefa) {
    this.tarefaService.alternarTarefaComplete(tarefa);
  }
  removeTarefa(tarefa) {
    this.tarefaService.deleteTarefaById(tarefa.id);
  }
  get tarefas() {
    return this.tarefaService.getAllTarefas();
  }
}
